summaryrefslogtreecommitdiff
path: root/lib/common
diff options
context:
space:
mode:
Diffstat (limited to 'lib/common')
-rwxr-xr-xlib/common64
1 files changed, 64 insertions, 0 deletions
diff --git a/lib/common b/lib/common
new file mode 100755
index 0000000..473c8b1
--- /dev/null
+++ b/lib/common
@@ -0,0 +1,64 @@
+#!/bin/bash
+
+# Sanity check to make sure that app.sh is installed
+APPSH_HOME="`cd $APPSTORE_HOME/../app.sh; pwd`"
+
+if [ ! -d "$APPSH_HOME" ]
+then
+ echo "app.sh has to be installed at $APPSH_HOME"
+ exit 1
+fi
+
+PATH=$APPSH_HOME:$PATH
+
+show_help() {
+ message=${1-}
+
+ if [[ $message != "" ]]
+ then
+ echo $message
+ fi
+
+ if [ "`declare -f usage_text >/dev/null; echo $?`" = 0 ]
+ then
+ usage_text
+ else
+ echo "The command $usage_app does not have any usage info."
+ fi
+ exit 1
+}
+
+usage() {
+ message=${1-}
+
+ if [[ $message != "" ]]
+ then
+ echo $message >&2
+ fi
+
+ if [ "`declare -f usage_text >/dev/null; echo $?`" = 0 ]
+ then
+ usage_text >&2
+ fi
+ exit 1
+}
+
+debug() {
+ [[ $echo_debug == no ]] || echo "D: $usage_app: $@" 2>&1
+}
+
+info() {
+ echo "I: $usage_app: $@" 2>&1
+}
+
+fatal() {
+ echo "$usage_app: fatal: $@" 2>&1
+ exit 1
+}
+
+grep_path() {
+ local regex="$1"; shift
+ local path="$1"; shift
+
+ find `echo $path | tr : " "` -type f -executable 2>/dev/null | (egrep "$regex" || exit 0)
+}